%global giturl https://github.com/jgraph/jgraphx
%global gittag v%{version}

Name:           jgraphx
Version:        4.2.2
Release:        1%{?dist}
Summary:        Java Swing diagramming (graph visualisation) library
# license is BSD, some files in src/ are Apache-2.0
License:        BSD-3-Clause OR Apache-2.0
URL:            %{giturl}
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        %{giturl}/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
JGraphX Java Swing diagramming (graph visualisation) library. It provides
features aimed at applications that display interactive diagrams and graphs. 

%{?javadoc_package}

%prep
%autosetup -n %{name}-%{version}
rm -rf docs lib

%build
%mvn_build -- -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%license license.txt
%doc README.md

%changelog
* Tue Jul 04 2023 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 4.2.2-1
- Initial package
